/* Node.js program */
// https://developer.chrome.com/docs/puppeteer/
// Download problem: 'sudo npm i puppeteer --unsafe-perm=true --allow-root'
// Check whether 'puppeteer.js' has been installed: 'npm list -depth=0'
import * as puppeteer from "puppeteer";

const scrape = async () => {
    const browser = await puppeteer.launch({headless: false});
    const page = await browser.newPage();
    await page.goto("https://LiveBPMN.com");
    await page.screenshot({path: "./LiveBPMN.png"});
    await browser.close();
    return "https://LiveBPMN.com";
};

scrape().then((value) => {
    console.log(JSON.stringify(value)); // Success!
});

// const https = require('https');
// https.get('https://www.carrefour.fr/s?q=3083681093926', (response) => { // Aubergines Cassegrain
//     let data = '';
//     response.on('data', chunk => { // A chunk of data has been received...
//         data += chunk;
//     });
//     response.on('end', () => { // The whole response has been received...
//         console.log(data);
//         let object;
//         try {
//             object = JSON.parse(data);
//             console.log(Object.getOwnPropertyNames(object).join(" - "));
//         } catch (exception) {
//             if (exception instanceof SyntaxError)
//                 console.log(`[Syntax] ${exception.name}: ${exception.message}`);
//             else {
//                 console.log(`[Beyond syntax] ${exception.name}: ${exception.message}`);
//             }
//         }
//     });
// }).on('error', (error) => {
//     console.log("Error: " + error.message);
// });
